# Glossary

### Conversation

A conversation is a ticket that holds information for a dialogue and the entire chat history between the client and the agent.

Think of it as a chat ticket within the Socialboards system. Create a conversation between a client and an agent and manage it according to your needs.

### Message

A message from a conversation represents a typical message created during the conversation.

You can specify message creation time if needed. For example, if you're switching a client from another service, like a chatbot, to Socialboards and want to keep the conversation's history, you can include previous messages exchanged between the bot and the client.

### Closed conversation

A conversation can be ended in two ways: an agent can end it by moving the ticket to the 'Closed' status, or the user can choose to end it. After closing conversation, any new messages from agents will be sent via email.

### Queue

The queue refers to a conversations queue, which is a waiting line for chats. New conversations tickets are added to the end of queue. When other conversations are closed, the queue number will be changed.

### Feedback

Feedback represents the client's opinion, which can be included in the conversation either during or after it. It can be accompanied by a brief text.

### Bot

A bot is an external chatbot service that can be integrated into the Socialboards system and linked to a specific conversation. For instance, you can initiate a conversation with a bot installed in the Socialboards system, add messages from the client, and receive responses from the bot.

### Takeover

Takeover refers to a state in a bot conversation where manual control by a human agent is required.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/external-chat-api/glossary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
